"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ApplyPendingMaintenanceAction_1 = require("../model/operations/ApplyPendingMaintenanceAction");
class ApplyPendingMaintenanceActionCommand {
    constructor(input) {
        this.input = input;
        this.model = ApplyPendingMaintenanceAction_1.ApplyPendingMaintenanceAction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ApplyPendingMaintenanceActionCommand = ApplyPendingMaintenanceActionCommand;
//# sourceMappingURL=ApplyPendingMaintenanceActionCommand.js.map