"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CopyDBParameterGroup_1 = require("../model/operations/CopyDBParameterGroup");
class CopyDBParameterGroupCommand {
    constructor(input) {
        this.input = input;
        this.model = CopyDBParameterGroup_1.CopyDBParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CopyDBParameterGroupCommand = CopyDBParameterGroupCommand;
//# sourceMappingURL=CopyDBParameterGroupCommand.js.map