"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteEventSubscription_1 = require("../model/operations/DeleteEventSubscription");
class DeleteEventSubscriptionCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteEventSubscription_1.DeleteEventSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteEventSubscriptionCommand = DeleteEventSubscriptionCommand;
//# sourceMappingURL=DeleteEventSubscriptionCommand.js.map