"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBInstances_1 = require("../model/operations/DescribeDBInstances");
class DescribeDBInstancesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBInstances_1.DescribeDBInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBInstancesCommand = DescribeDBInstancesCommand;
//# sourceMappingURL=DescribeDBInstancesCommand.js.map