"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBLogFiles_1 = require("../model/operations/DescribeDBLogFiles");
class DescribeDBLogFilesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBLogFiles_1.DescribeDBLogFiles;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBLogFilesCommand = DescribeDBLogFilesCommand;
//# sourceMappingURL=DescribeDBLogFilesCommand.js.map