"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBSecurityGroups_1 = require("../model/operations/DescribeDBSecurityGroups");
class DescribeDBSecurityGroupsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBSecurityGroups_1.DescribeDBSecurityGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBSecurityGroupsCommand = DescribeDBSecurityGroupsCommand;
//# sourceMappingURL=DescribeDBSecurityGroupsCommand.js.map