"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeEventCategories_1 = require("../model/operations/DescribeEventCategories");
class DescribeEventCategoriesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeEventCategories_1.DescribeEventCategories;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeEventCategoriesCommand = DescribeEventCategoriesCommand;
//# sourceMappingURL=DescribeEventCategoriesCommand.js.map