"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeOptionGroups_1 = require("../model/operations/DescribeOptionGroups");
class DescribeOptionGroupsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeOptionGroups_1.DescribeOptionGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeOptionGroupsCommand = DescribeOptionGroupsCommand;
//# sourceMappingURL=DescribeOptionGroupsCommand.js.map