"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeReservedDBInstances_1 = require("../model/operations/DescribeReservedDBInstances");
class DescribeReservedDBInstancesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeReservedDBInstances_1.DescribeReservedDBInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeReservedDBInstancesCommand = DescribeReservedDBInstancesCommand;
//# sourceMappingURL=DescribeReservedDBInstancesCommand.js.map