"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ModifyDBSnapshot_1 = require("../model/operations/ModifyDBSnapshot");
class ModifyDBSnapshotCommand {
    constructor(input) {
        this.input = input;
        this.model = ModifyDBSnapshot_1.ModifyDBSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ModifyDBSnapshotCommand = ModifyDBSnapshotCommand;
//# sourceMappingURL=ModifyDBSnapshotCommand.js.map