"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PromoteReadReplica_1 = require("../model/operations/PromoteReadReplica");
class PromoteReadReplicaCommand {
    constructor(input) {
        this.input = input;
        this.model = PromoteReadReplica_1.PromoteReadReplica;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PromoteReadReplicaCommand = PromoteReadReplicaCommand;
//# sourceMappingURL=PromoteReadReplicaCommand.js.map