"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RestoreDBInstanceFromS3_1 = require("../model/operations/RestoreDBInstanceFromS3");
class RestoreDBInstanceFromS3Command {
    constructor(input) {
        this.input = input;
        this.model = RestoreDBInstanceFromS3_1.RestoreDBInstanceFromS3;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RestoreDBInstanceFromS3Command = RestoreDBInstanceFromS3Command;
//# sourceMappingURL=RestoreDBInstanceFromS3Command.js.map