"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const StartDBCluster_1 = require("../model/operations/StartDBCluster");
class StartDBClusterCommand {
    constructor(input) {
        this.input = input;
        this.model = StartDBCluster_1.StartDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.StartDBClusterCommand = StartDBClusterCommand;
//# sourceMappingURL=StartDBClusterCommand.js.map