"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const StartDBInstance_1 = require("../model/operations/StartDBInstance");
class StartDBInstanceCommand {
    constructor(input) {
        this.input = input;
        this.model = StartDBInstance_1.StartDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.StartDBInstanceCommand = StartDBInstanceCommand;
//# sourceMappingURL=StartDBInstanceCommand.js.map