"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ApplyPendingMaintenanceActionInput_1 = require("../shapes/ApplyPendingMaintenanceActionInput");
const ApplyPendingMaintenanceActionOutput_1 = require("../shapes/ApplyPendingMaintenanceActionOutput");
const ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ApplyPendingMaintenanceAction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ApplyPendingMaintenanceAction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ApplyPendingMaintenanceActionInput_1.ApplyPendingMaintenanceActionInput
    },
    output: {
        shape: ApplyPendingMaintenanceActionOutput_1.ApplyPendingMaintenanceActionOutput,
        resultWrapper: "ApplyPendingMaintenanceActionResult"
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=ApplyPendingMaintenanceAction.js.map