"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDBClusterInput_1 = require("../shapes/CreateDBClusterInput");
const CreateDBClusterOutput_1 = require("../shapes/CreateDBClusterOutput");
const DBClusterAlreadyExistsFault_1 = require("../shapes/DBClusterAlreadyExistsFault");
const InsufficientStorageClusterCapacityFault_1 = require("../shapes/InsufficientStorageClusterCapacityFault");
const DBClusterQuotaExceededFault_1 = require("../shapes/DBClusterQuotaExceededFault");
const StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const InvalidDBSubnetGroupStateFault_1 = require("../shapes/InvalidDBSubnetGroupStateFault");
const InvalidSubnet_1 = require("../shapes/InvalidSubnet");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const DBClusterParameterGroupNotFoundFault_1 = require("../shapes/DBClusterParameterGroupNotFoundFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
const GlobalClusterNotFoundFault_1 = require("../shapes/GlobalClusterNotFoundFault");
const InvalidGlobalClusterStateFault_1 = require("../shapes/InvalidGlobalClusterStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBClusterInput_1.CreateDBClusterInput
    },
    output: {
        shape: CreateDBClusterOutput_1.CreateDBClusterOutput,
        resultWrapper: "CreateDBClusterResult"
    },
    errors: [
        {
            shape: DBClusterAlreadyExistsFault_1.DBClusterAlreadyExistsFault
        },
        {
            shape: InsufficientStorageClusterCapacityFault_1.InsufficientStorageClusterCapacityFault
        },
        {
            shape: DBClusterQuotaExceededFault_1.DBClusterQuotaExceededFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBSubnetGroupStateFault_1.InvalidDBSubnetGroupStateFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBClusterParameterGroupNotFoundFault_1.DBClusterParameterGroupNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: GlobalClusterNotFoundFault_1.GlobalClusterNotFoundFault
        },
        {
            shape: InvalidGlobalClusterStateFault_1.InvalidGlobalClusterStateFault
        }
    ]
};
//# sourceMappingURL=CreateDBCluster.js.map