"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDBClusterEndpointInput_1 = require("../shapes/CreateDBClusterEndpointInput");
const CreateDBClusterEndpointOutput_1 = require("../shapes/CreateDBClusterEndpointOutput");
const DBClusterEndpointQuotaExceededFault_1 = require("../shapes/DBClusterEndpointQuotaExceededFault");
const DBClusterEndpointAlreadyExistsFault_1 = require("../shapes/DBClusterEndpointAlreadyExistsFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBClusterEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBClusterEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBClusterEndpointInput_1.CreateDBClusterEndpointInput
    },
    output: {
        shape: CreateDBClusterEndpointOutput_1.CreateDBClusterEndpointOutput,
        resultWrapper: "CreateDBClusterEndpointResult"
    },
    errors: [
        {
            shape: DBClusterEndpointQuotaExceededFault_1.DBClusterEndpointQuotaExceededFault
        },
        {
            shape: DBClusterEndpointAlreadyExistsFault_1.DBClusterEndpointAlreadyExistsFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=CreateDBClusterEndpoint.js.map