"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDBInstanceReadReplicaInput_1 = require("../shapes/CreateDBInstanceReadReplicaInput");
const CreateDBInstanceReadReplicaOutput_1 = require("../shapes/CreateDBInstanceReadReplicaOutput");
const DBInstanceAlreadyExistsFault_1 = require("../shapes/DBInstanceAlreadyExistsFault");
const InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
const InstanceQuotaExceededFault_1 = require("../shapes/InstanceQuotaExceededFault");
const StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
const InvalidSubnet_1 = require("../shapes/InvalidSubnet");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const ProvisionedIopsNotAvailableInAZFault_1 = require("../shapes/ProvisionedIopsNotAvailableInAZFault");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const DBSubnetGroupNotAllowedFault_1 = require("../shapes/DBSubnetGroupNotAllowedFault");
const InvalidDBSubnetGroupFault_1 = require("../shapes/InvalidDBSubnetGroupFault");
const StorageTypeNotSupportedFault_1 = require("../shapes/StorageTypeNotSupportedFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBInstanceReadReplica = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBInstanceReadReplica",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBInstanceReadReplicaInput_1.CreateDBInstanceReadReplicaInput
    },
    output: {
        shape: CreateDBInstanceReadReplicaOutput_1.CreateDBInstanceReadReplicaOutput,
        resultWrapper: "CreateDBInstanceReadReplicaResult"
    },
    errors: [
        {
            shape: DBInstanceAlreadyExistsFault_1.DBInstanceAlreadyExistsFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: InstanceQuotaExceededFault_1.InstanceQuotaExceededFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: ProvisionedIopsNotAvailableInAZFault_1.ProvisionedIopsNotAvailableInAZFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: DBSubnetGroupNotAllowedFault_1.DBSubnetGroupNotAllowedFault
        },
        {
            shape: InvalidDBSubnetGroupFault_1.InvalidDBSubnetGroupFault
        },
        {
            shape: StorageTypeNotSupportedFault_1.StorageTypeNotSupportedFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        }
    ]
};
//# sourceMappingURL=CreateDBInstanceReadReplica.js.map