"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDBSnapshotInput_1 = require("../shapes/CreateDBSnapshotInput");
const CreateDBSnapshotOutput_1 = require("../shapes/CreateDBSnapshotOutput");
const DBSnapshotAlreadyExistsFault_1 = require("../shapes/DBSnapshotAlreadyExistsFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBSnapshotInput_1.CreateDBSnapshotInput
    },
    output: {
        shape: CreateDBSnapshotOutput_1.CreateDBSnapshotOutput,
        resultWrapper: "CreateDBSnapshotResult"
    },
    errors: [
        {
            shape: DBSnapshotAlreadyExistsFault_1.DBSnapshotAlreadyExistsFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=CreateDBSnapshot.js.map