"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateGlobalClusterInput_1 = require("../shapes/CreateGlobalClusterInput");
const CreateGlobalClusterOutput_1 = require("../shapes/CreateGlobalClusterOutput");
const GlobalClusterAlreadyExistsFault_1 = require("../shapes/GlobalClusterAlreadyExistsFault");
const GlobalClusterQuotaExceededFault_1 = require("../shapes/GlobalClusterQuotaExceededFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateGlobalCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateGlobalCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateGlobalClusterInput_1.CreateGlobalClusterInput
    },
    output: {
        shape: CreateGlobalClusterOutput_1.CreateGlobalClusterOutput,
        resultWrapper: "CreateGlobalClusterResult"
    },
    errors: [
        {
            shape: GlobalClusterAlreadyExistsFault_1.GlobalClusterAlreadyExistsFault
        },
        {
            shape: GlobalClusterQuotaExceededFault_1.GlobalClusterQuotaExceededFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        }
    ]
};
//# sourceMappingURL=CreateGlobalCluster.js.map