"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteGlobalClusterInput_1 = require("../shapes/DeleteGlobalClusterInput");
const DeleteGlobalClusterOutput_1 = require("../shapes/DeleteGlobalClusterOutput");
const GlobalClusterNotFoundFault_1 = require("../shapes/GlobalClusterNotFoundFault");
const InvalidGlobalClusterStateFault_1 = require("../shapes/InvalidGlobalClusterStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteGlobalCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteGlobalCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteGlobalClusterInput_1.DeleteGlobalClusterInput
    },
    output: {
        shape: DeleteGlobalClusterOutput_1.DeleteGlobalClusterOutput,
        resultWrapper: "DeleteGlobalClusterResult"
    },
    errors: [
        {
            shape: GlobalClusterNotFoundFault_1.GlobalClusterNotFoundFault
        },
        {
            shape: InvalidGlobalClusterStateFault_1.InvalidGlobalClusterStateFault
        }
    ]
};
//# sourceMappingURL=DeleteGlobalCluster.js.map