"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StartActivityStreamInput_1 = require("../shapes/StartActivityStreamInput");
const StartActivityStreamOutput_1 = require("../shapes/StartActivityStreamOutput");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartActivityStream = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartActivityStream",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartActivityStreamInput_1.StartActivityStreamInput
    },
    output: {
        shape: StartActivityStreamOutput_1.StartActivityStreamOutput,
        resultWrapper: "StartActivityStreamResult"
    },
    errors: [
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        }
    ]
};
//# sourceMappingURL=StartActivityStream.js.map