"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StopActivityStreamInput_1 = require("../shapes/StopActivityStreamInput");
const StopActivityStreamOutput_1 = require("../shapes/StopActivityStreamOutput");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopActivityStream = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopActivityStream",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopActivityStreamInput_1.StopActivityStreamInput
    },
    output: {
        shape: StopActivityStreamOutput_1.StopActivityStreamOutput,
        resultWrapper: "StopActivityStreamResult"
    },
    errors: [
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        }
    ]
};
//# sourceMappingURL=StopActivityStream.js.map