"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StopDBInstanceInput_1 = require("../shapes/StopDBInstanceInput");
const StopDBInstanceOutput_1 = require("../shapes/StopDBInstanceOutput");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const DBSnapshotAlreadyExistsFault_1 = require("../shapes/DBSnapshotAlreadyExistsFault");
const SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopDBInstanceInput_1.StopDBInstanceInput
    },
    output: {
        shape: StopDBInstanceOutput_1.StopDBInstanceOutput,
        resultWrapper: "StopDBInstanceResult"
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBSnapshotAlreadyExistsFault_1.DBSnapshotAlreadyExistsFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        }
    ]
};
//# sourceMappingURL=StopDBInstance.js.map