"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _AvailabilityZones_1 = require("./_AvailabilityZones");
const _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
const _TagList_1 = require("./_TagList");
const _LogTypeList_1 = require("./_LogTypeList");
exports.RestoreDBClusterFromS3Input = {
    type: "structure",
    required: [
        "DBClusterIdentifier",
        "Engine",
        "MasterUsername",
        "MasterUserPassword",
        "SourceEngine",
        "SourceEngineVersion",
        "S3BucketName",
        "S3IngestionRoleArn"
    ],
    members: {
        AvailabilityZones: {
            shape: _AvailabilityZones_1._AvailabilityZones
        },
        BackupRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        CharacterSetName: {
            shape: {
                type: "string"
            }
        },
        DatabaseName: {
            shape: {
                type: "string"
            }
        },
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBClusterParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        VpcSecurityGroupIds: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        DBSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        MasterUsername: {
            shape: {
                type: "string"
            }
        },
        MasterUserPassword: {
            shape: {
                type: "string"
            }
        },
        OptionGroupName: {
            shape: {
                type: "string"
            }
        },
        PreferredBackupWindow: {
            shape: {
                type: "string"
            }
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        StorageEncrypted: {
            shape: {
                type: "boolean"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        EnableIAMDatabaseAuthentication: {
            shape: {
                type: "boolean"
            }
        },
        SourceEngine: {
            shape: {
                type: "string"
            }
        },
        SourceEngineVersion: {
            shape: {
                type: "string"
            }
        },
        S3BucketName: {
            shape: {
                type: "string"
            }
        },
        S3Prefix: {
            shape: {
                type: "string"
            }
        },
        S3IngestionRoleArn: {
            shape: {
                type: "string"
            }
        },
        BacktrackWindow: {
            shape: {
                type: "integer"
            }
        },
        EnableCloudwatchLogsExports: {
            shape: _LogTypeList_1._LogTypeList
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        },
        CopyTagsToSnapshot: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=RestoreDBClusterFromS3Input.js.map