"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
const _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
const _LogTypeList_1 = require("./_LogTypeList");
const _ProcessorFeatureList_1 = require("./_ProcessorFeatureList");
exports.RestoreDBInstanceFromDBSnapshotInput = {
    type: "structure",
    required: ["DBInstanceIdentifier", "DBSnapshotIdentifier"],
    members: {
        DBInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBSnapshotIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBInstanceClass: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        AvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        DBSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        PubliclyAccessible: {
            shape: {
                type: "boolean"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        LicenseModel: {
            shape: {
                type: "string"
            }
        },
        DBName: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        Iops: {
            shape: {
                type: "integer"
            }
        },
        OptionGroupName: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        StorageType: {
            shape: {
                type: "string"
            }
        },
        TdeCredentialArn: {
            shape: {
                type: "string"
            }
        },
        TdeCredentialPassword: {
            shape: {
                type: "string"
            }
        },
        VpcSecurityGroupIds: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        Domain: {
            shape: {
                type: "string"
            }
        },
        CopyTagsToSnapshot: {
            shape: {
                type: "boolean"
            }
        },
        DomainIAMRoleName: {
            shape: {
                type: "string"
            }
        },
        EnableIAMDatabaseAuthentication: {
            shape: {
                type: "boolean"
            }
        },
        EnableCloudwatchLogsExports: {
            shape: _LogTypeList_1._LogTypeList
        },
        ProcessorFeatures: {
            shape: _ProcessorFeatureList_1._ProcessorFeatureList
        },
        UseDefaultProcessorFeatures: {
            shape: {
                type: "boolean"
            }
        },
        DBParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=RestoreDBInstanceFromDBSnapshotInput.js.map