"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _DBSecurityGroupNameList_1 = require("./_DBSecurityGroupNameList");
const _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
const _TagList_1 = require("./_TagList");
const _LogTypeList_1 = require("./_LogTypeList");
const _ProcessorFeatureList_1 = require("./_ProcessorFeatureList");
exports.RestoreDBInstanceFromS3Input = {
    type: "structure",
    required: [
        "DBInstanceIdentifier",
        "DBInstanceClass",
        "Engine",
        "SourceEngine",
        "SourceEngineVersion",
        "S3BucketName",
        "S3IngestionRoleArn"
    ],
    members: {
        DBName: {
            shape: {
                type: "string"
            }
        },
        DBInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        AllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        DBInstanceClass: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        MasterUsername: {
            shape: {
                type: "string"
            }
        },
        MasterUserPassword: {
            shape: {
                type: "string"
            }
        },
        DBSecurityGroups: {
            shape: _DBSecurityGroupNameList_1._DBSecurityGroupNameList
        },
        VpcSecurityGroupIds: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        AvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        DBSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        DBParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        BackupRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        PreferredBackupWindow: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        LicenseModel: {
            shape: {
                type: "string"
            }
        },
        Iops: {
            shape: {
                type: "integer"
            }
        },
        OptionGroupName: {
            shape: {
                type: "string"
            }
        },
        PubliclyAccessible: {
            shape: {
                type: "boolean"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        StorageType: {
            shape: {
                type: "string"
            }
        },
        StorageEncrypted: {
            shape: {
                type: "boolean"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        CopyTagsToSnapshot: {
            shape: {
                type: "boolean"
            }
        },
        MonitoringInterval: {
            shape: {
                type: "integer"
            }
        },
        MonitoringRoleArn: {
            shape: {
                type: "string"
            }
        },
        EnableIAMDatabaseAuthentication: {
            shape: {
                type: "boolean"
            }
        },
        SourceEngine: {
            shape: {
                type: "string"
            }
        },
        SourceEngineVersion: {
            shape: {
                type: "string"
            }
        },
        S3BucketName: {
            shape: {
                type: "string"
            }
        },
        S3Prefix: {
            shape: {
                type: "string"
            }
        },
        S3IngestionRoleArn: {
            shape: {
                type: "string"
            }
        },
        EnablePerformanceInsights: {
            shape: {
                type: "boolean"
            }
        },
        PerformanceInsightsKMSKeyId: {
            shape: {
                type: "string"
            }
        },
        PerformanceInsightsRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        EnableCloudwatchLogsExports: {
            shape: _LogTypeList_1._LogTypeList
        },
        ProcessorFeatures: {
            shape: _ProcessorFeatureList_1._ProcessorFeatureList
        },
        UseDefaultProcessorFeatures: {
            shape: {
                type: "boolean"
            }
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=RestoreDBInstanceFromS3Input.js.map