"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _Endpoint_1 = require("./_Endpoint");
const _DBSecurityGroupMembershipList_1 = require("./_DBSecurityGroupMembershipList");
const _VpcSecurityGroupMembershipList_1 = require("./_VpcSecurityGroupMembershipList");
const _DBParameterGroupStatusList_1 = require("./_DBParameterGroupStatusList");
const _DBSubnetGroup_1 = require("./_DBSubnetGroup");
const _PendingModifiedValues_1 = require("./_PendingModifiedValues");
const _ReadReplicaDBInstanceIdentifierList_1 = require("./_ReadReplicaDBInstanceIdentifierList");
const _ReadReplicaDBClusterIdentifierList_1 = require("./_ReadReplicaDBClusterIdentifierList");
const _OptionGroupMembershipList_1 = require("./_OptionGroupMembershipList");
const _DBInstanceStatusInfoList_1 = require("./_DBInstanceStatusInfoList");
const _DomainMembershipList_1 = require("./_DomainMembershipList");
const _LogTypeList_1 = require("./_LogTypeList");
const _ProcessorFeatureList_1 = require("./_ProcessorFeatureList");
const _DBInstanceRoles_1 = require("./_DBInstanceRoles");
exports._DBInstance = {
    type: "structure",
    required: [],
    members: {
        DBInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBInstanceClass: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        DBInstanceStatus: {
            shape: {
                type: "string"
            }
        },
        MasterUsername: {
            shape: {
                type: "string"
            }
        },
        DBName: {
            shape: {
                type: "string"
            }
        },
        Endpoint: {
            shape: _Endpoint_1._Endpoint
        },
        AllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        InstanceCreateTime: {
            shape: {
                type: "timestamp"
            }
        },
        PreferredBackupWindow: {
            shape: {
                type: "string"
            }
        },
        BackupRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        DBSecurityGroups: {
            shape: _DBSecurityGroupMembershipList_1._DBSecurityGroupMembershipList
        },
        VpcSecurityGroups: {
            shape: _VpcSecurityGroupMembershipList_1._VpcSecurityGroupMembershipList
        },
        DBParameterGroups: {
            shape: _DBParameterGroupStatusList_1._DBParameterGroupStatusList
        },
        AvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        DBSubnetGroup: {
            shape: _DBSubnetGroup_1._DBSubnetGroup
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        PendingModifiedValues: {
            shape: _PendingModifiedValues_1._PendingModifiedValues
        },
        LatestRestorableTime: {
            shape: {
                type: "timestamp"
            }
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        ReadReplicaSourceDBInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        ReadReplicaDBInstanceIdentifiers: {
            shape: _ReadReplicaDBInstanceIdentifierList_1._ReadReplicaDBInstanceIdentifierList
        },
        ReadReplicaDBClusterIdentifiers: {
            shape: _ReadReplicaDBClusterIdentifierList_1._ReadReplicaDBClusterIdentifierList
        },
        LicenseModel: {
            shape: {
                type: "string"
            }
        },
        Iops: {
            shape: {
                type: "integer"
            }
        },
        OptionGroupMemberships: {
            shape: _OptionGroupMembershipList_1._OptionGroupMembershipList
        },
        CharacterSetName: {
            shape: {
                type: "string"
            }
        },
        SecondaryAvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        PubliclyAccessible: {
            shape: {
                type: "boolean"
            }
        },
        StatusInfos: {
            shape: _DBInstanceStatusInfoList_1._DBInstanceStatusInfoList
        },
        StorageType: {
            shape: {
                type: "string"
            }
        },
        TdeCredentialArn: {
            shape: {
                type: "string"
            }
        },
        DbInstancePort: {
            shape: {
                type: "integer"
            }
        },
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        StorageEncrypted: {
            shape: {
                type: "boolean"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        DbiResourceId: {
            shape: {
                type: "string"
            }
        },
        CACertificateIdentifier: {
            shape: {
                type: "string"
            }
        },
        DomainMemberships: {
            shape: _DomainMembershipList_1._DomainMembershipList
        },
        CopyTagsToSnapshot: {
            shape: {
                type: "boolean"
            }
        },
        MonitoringInterval: {
            shape: {
                type: "integer"
            }
        },
        EnhancedMonitoringResourceArn: {
            shape: {
                type: "string"
            }
        },
        MonitoringRoleArn: {
            shape: {
                type: "string"
            }
        },
        PromotionTier: {
            shape: {
                type: "integer"
            }
        },
        DBInstanceArn: {
            shape: {
                type: "string"
            }
        },
        Timezone: {
            shape: {
                type: "string"
            }
        },
        IAMDatabaseAuthenticationEnabled: {
            shape: {
                type: "boolean"
            }
        },
        PerformanceInsightsEnabled: {
            shape: {
                type: "boolean"
            }
        },
        PerformanceInsightsKMSKeyId: {
            shape: {
                type: "string"
            }
        },
        PerformanceInsightsRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        EnabledCloudwatchLogsExports: {
            shape: _LogTypeList_1._LogTypeList
        },
        ProcessorFeatures: {
            shape: _ProcessorFeatureList_1._ProcessorFeatureList
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        },
        AssociatedRoles: {
            shape: _DBInstanceRoles_1._DBInstanceRoles
        },
        ListenerEndpoint: {
            shape: _Endpoint_1._Endpoint
        },
        MaxAllocatedStorage: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_DBInstance.js.map