import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * ModifyCurrentDBClusterCapacityOutput shape
 */
export interface ModifyCurrentDBClusterCapacityOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>A user-supplied DB cluster identifier. This identifier is the unique key that identifies a DB cluster. </p>
     */
    DBClusterIdentifier?: string;
    /**
     * <p>A value that specifies the capacity that the DB cluster scales to next.</p>
     */
    PendingCapacity?: number;
    /**
     * <p>The current capacity of the DB cluster.</p>
     */
    CurrentCapacity?: number;
    /**
     * <p>The number of seconds before a call to <code>ModifyCurrentDBClusterCapacity</code> times out.</p>
     */
    SecondsBeforeTimeout?: number;
    /**
     * <p>The timeout action of a call to <code>ModifyCurrentDBClusterCapacity</code>, either <code>ForceApplyCapacityChange</code> or <code>RollbackCapacityChange</code>.</p>
     */
    TimeoutAction?: string;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
