import { _OptionConfiguration } from "./_OptionConfiguration";
import { NodeHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p/>
 */
export interface ModifyOptionGroupInput {
    /**
     * <p>The name of the option group to be modified.</p> <p>Permanent options, such as the TDE option for Oracle Advanced Security TDE, can't be removed from an option group, and that option group can't be removed from a DB instance once it is associated with a DB instance</p>
     */
    OptionGroupName: string;
    /**
     * <p>Options in this list are added to the option group or, if already present, the specified configuration is used to update the existing configuration.</p>
     */
    OptionsToInclude?: Array<_OptionConfiguration> | Iterable<_OptionConfiguration>;
    /**
     * <p>Options in this list are removed from the option group.</p>
     */
    OptionsToRemove?: Array<string> | Iterable<string>;
    /**
     * <p>A value that indicates whether to apply the change immediately or during the next maintenance window for each instance associated with the option group.</p>
     */
    ApplyImmediately?: boolean;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
